## netkit-rusers 0.17

=== rpc.rusersd/Makefile ===
all: rusersd
include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -DGNU_LIBC -D_GNU_SOURCE -D_NO_UT_TIME
endif


#  .if exists(/usr/include/X11/extensions/xidle.h)
#CFLAGS+= -DXIDLE
#LDADD+= -L/usr/X386/lib -lXext -lX11
#  .endif

RPCGEN=rpcgen

# Warning, do not put this in the current directory without updating
# the clean target.
RUSERSX=/usr/include/rpcsvc/rusers.x

rusersd: rusersd.o rusers_proc.o rusers_xdr.o daemon.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: rusersd
	install -s -m$(DAEMONMODE) rusersd $(INSTALLROOT)$(SBINDIR)/rpc.rusersd
	install -m$(MANMODE) rpc.rusersd.8 $(INSTALLROOT)$(MANDIR)/man8
	ln -sf rpc.rusersd.8 $(INSTALLROOT)$(MANDIR)/man8/rusersd.8

clean:
	rm -f *.o rusersd rusers.h rusers_xdr.c rusers.x

rusersd.o: ../version.h
rusersd.o rusers_proc.o: rusers.h
rusers_xdr.o: rusers_xdr.c rusers.h

# see rusers makefile for an explanation of why this is necessary
rusers.x: 
	ln -s $(RUSERSX) rusers.x

rusers.h: $(RUSERSX) rusers.x
	$(RPCGEN) -h -o rusers.h rusers.x

rusers_xdr.c: $(RUSERSX)
	$(RPCGEN) -c -C -o rusers_xdr.c rusers.x

=== rup/Makefile ===
all: rup

include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -DGNU_LIBC -D_GNU_SOURCE
endif

CFLAGS += -I.

#RPCGEN=../../netkit-base/rpcgen/rpcgen
RPCGEN=rpcgen

# Warning, do NOT put this in the current directory without updating
# the clean target.
RSTATX=/usr/include/rpcsvc/rstat.x

rup: rup.o rstat_xdr.o err.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

rup.o: ../version.h

install: rup
	install -s -m$(BINMODE) rup $(INSTALLROOT)$(BINDIR)
	install -m$(MANMODE) rup.1 $(INSTALLROOT)$(MANDIR)/man1

clean:
	rm -f *.o rup rstat.h rstat_xdr.c rstat.x

rstat_xdr.o: rstat_xdr.c rstat.h

# rpcgen includes the pathname you specify for the .x file as the
# pathname of the .h file when it builds the .c file. Therefore,
# do it in the current directory. 

rstat.x: 
	ln -s $(RSTATX) $@

rstat.h: $(RSTATX) rstat.x
	$(RPCGEN) -h -o rstat.h rstat.x

rstat_xdr.c: $(RSTATX) rstat.x
	$(RPCGEN) -c -C -o rstat_xdr.c rstat.x

=== rusers/Makefile ===
all: rusers

include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -DGNU_LIBC -D_GNU_SOURCE -D_NO_UT_TIME
endif

RPCGEN=rpcgen

# Warning, do NOT put this in the current directory without updating
# the clean target.
RUSERSX = /usr/include/rpcsvc/rusers.x

# The rusers.h file in /usr/include/rpcsvc (at least on my system) appears
# to have been built with an ancient rpcgen. Therefore, make it anew.

rusers: rusers.o rusers_xdr.o 
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: rusers
	install -s -m$(BINMODE) rusers $(INSTALLROOT)$(BINDIR)
	install -m$(MANMODE) rusers.1 $(INSTALLROOT)$(MANDIR)/man1

clean:
	rm -f *.o rusers rusers.h rusers_xdr.c rusers.x

rusers.o: rusers.h ../version.h
rusers_xdr.o: rusers_xdr.c rusers.h

# rpcgen includes the pathname you specify for the .x file as the
# pathname of the .h file when it builds the .c file. Therefore,
# do it in the current directory. 

rusers.x:
	ln -s $(RUSERSX) rusers.x

rusers.h: $(RUSERSX) rusers.x
	$(RPCGEN) -h -o rusers.h rusers.x

rusers_xdr.c: $(RUSERSX) rusers.x
	$(RPCGEN) -c -C -o rusers_xdr.c rusers.x

=== debian/changelog ===
netkit-rusers (0.17-9) unstable; urgency=medium

  * Moved to source format "3.0 (quilt)".
  * Moved to debhelper compat 11
  * Bumped Standards-Version to 4.2.1
    - Include BSD license in debian/copyright
    - Add build-(arch|indep) in debian/rules

  [ Helmut Grohne ]
    * Don't assume location of system headers. (Closes: #798955)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 23 Oct 2018 17:37:54 +0200

netkit-rusers (0.17-8) unstable; urgency=low

  * debian/control:
    - Added alternative Depends on rpcbind (Closes: #564266)
    - Moved netbase Depends to openbsd-inetd | inet-superserver
  * Bumped Standards-Version to 3.8.3.
  * Moved to debhelper compat 7

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 15 Jan 2010 13:14:16 +0100

netkit-rusers (0.17-7) unstable; urgency=low

  * The 'update-inetd' batch release.
  * Moved to debhelper 4. 
     - Created debian/compat. 
     - debian/control. Updated debhelper dependency version.
  * Added Depends on netbase (since we need update-inetd AND an inetd)
    (Closes: #398556)
  * Bumped Standards-Version to 3.7.2.2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 18 Nov 2006 10:28:29 +0100

netkit-rusers (0.17-6) unstable; urgency=low

  * Patch rusers_proc.c so that num_users gets reset every time the
    function rusers_num is called.
    Thanks Christian Bac. (Closes: #278514)
  * Changed maintainer email address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon,  8 Nov 2004 12:45:46 +0100

netkit-rusers (0.17-5) unstable; urgency=low

  * New Maintainer. (Closes: #249711)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 16:38:18 +0200

netkit-rusers (0.17-4) unstable; urgency=low

  * Removed netkit-rpc/libc build-dependency.
  * Depend on debhelper >= 2.
  * Removed netbase dependency.
  * Removed netstd reference in control.
  * Removed build-stamp/install-stamp.
  * Fixed warning in rusers.c.
  * Fixed warning in rup.c.
  * Removed local err/warnx implementation.

 -- Herbert Xu <herbert@debian.org>  Thu, 30 Oct 2003 22:36:30 +1100

netkit-rusers (0.17-3) unstable; urgency=low

  * Updated build-time dependency for rpc (closes: #113257).
  * Updated use of time.h and sys/time.h.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Sep 2001 20:58:00 +1000

netkit-rusers (0.17-2) unstable; urgency=low

  * Depend on portmap (closes: #72182).
  * Added build-time dependencies.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Sep 2000 19:06:12 +1100

netkit-rusers (0.17-1) unstable; urgency=low

  * New upstream release (closes: #68041).

 -- Herbert Xu <herbert@debian.org>  Tue,  1 Aug 2000 20:10:03 +1000

netkit-rusers (0.11-1) unstable; urgency=low

  * Initial Release.
  * Initialise fromlen (closes: #21544).

 -- Herbert Xu <herbert@debian.org>  Fri, 15 Oct 1999 15:18:26 +1000

=== debian/control ===
Source: netkit-rusers
Section: net
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11)

Package: rusersd
Architecture: any
Depends: rpcbind | portmap, openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}
Description: Logged in users server
 This is a server which returns information about users currently logged in to
 the system.

Package: rusers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Displays who is logged in to machines on local network
 The rusers command produces output similar to who, but for the list of hosts
 or all machines on the local network.  For each host responding to the rusers
 query, the hostname with the names of the users currently logged on is printed
 on each line.  The rusers command will wait for one minute to catch late
 responders.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.
# $Id: rules,v 1.4 2003/10/30 11:37:23 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=2

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure; \
		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g \1/' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE)

clean:
	dh_testdir
	dh_testroot

	[ ! -f MCONFIG ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install rpc.rusersd/rusersd debian/rusersd/usr/sbin/rpc.rusersd
	install rusers/rusers debian/rusers/usr/bin
	cp rpc.rusersd/rpc.rusersd.8 debian/rusersd/usr/share/man/man8
	cp rusers/rusers.1 debian/rusers/usr/share/man/man1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
